Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcweb-rtcp-xr-metrics

From: Varun Singh <[email-masked]>
Date: Mon, 21 Mar 2016 19:57:59 +0200

Hi Colin,

Apologies for the delay, my proposal is the following:

   In this document, we provide rationale for choosing additional RTP
   metrics for the WebRTC getStats() API [W3C.WD-webrtc-20150210].  The
   document also creates a registry containing identifiers from the
   metrics reported in the RTCP Sender, Receiver, and Extended Reports.
   All identifiers proposed in this document are RECOMMENDED to be
   implemented by an endpoint.  An endpoint MAY choose not to expose an
   identifier if it does not implement the corresponding RTCP Report.

On Mon, Jan 25, 2016 at 2:51 PM, Colin Perkins <[email-masked]> wrote:
> On 20 Jan 2016, at 04:31, Shida Schubert <[email-masked]> wrote:
>
> This message starts a Working Group Last Call for the
> draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-02.txt.
>
> http://tools.ietf.org/id/draft-ietf-xrblock-rtcweb-rtcp-xr-metrics-02.txt
>
> Even if you have no questions, comments or concern, if you have read the
> draft and agree that it’s ready for submission to IESG as a Standard Track,
> please send a message to the list indicating this.
>
> Obviously if you have any issues or questions please submit it to the list,
> if you are highlighting issues suggestions to fix the issues is always
> helpful.
>
>
> I have two comments:
>
> 1) The draft uses RFC 2119 terms in lower case in a number of places. I
> think it would be clearer if these were changed to upper case where the
> intent is to use normative language, and rephrased to use alternative terms
> otherwise.
>
> 2) The draft has a reasonable list of candidate metrics, but does not make a
> clear recommendation which metrics ought to be implemented. Is the intent
> that a WebRTC end-point implementor picks an arbitrary subset of these, or
> that all the metrics are implemented? If a subset is to be implemented,
> which subset? What are the most important to implement? Adding some further
> normative language would probably help clarify.
>
> That said, I have no objection to sending this draft to the IESG for
> publication. It suggests a reasonable set of metrics, and is well enough
> written.
>
> --
> Colin Perkins
> https://csperkins.org/
>
>
>
>
>
> _______________________________________________
> xrblock mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock
>

-- 
http://www.callstats.io

---

From: Colin Perkins <[email-masked]>
Date: Mon, 21 Mar 2016 19:03:03 +0000

Fine with me.
Colin

> On 21 Mar 2016, at 17:57, Varun Singh <[email-masked]> wrote:
> 
> Hi Colin,
> 

-- 
Colin Perkins
https://csperkins.org/